com.icl.saxon.sort

## Class HashMap

- java.lang.Object
- - com.icl.saxon.sort.HashMap

-     public class HashMap
      extends java.lang.Object

  A simple class for testing membership of a fixed set of ASCII strings. The class must be initialised with enough space for all the strings, it will go into an infinite loop if it fills. The string matching is case-blind, using an algorithm that works only for ASCII

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashMap(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `get(java.lang.String s)`
    `void` | `set(java.lang.String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashMap

          public HashMap(int size)

  - ### Method Detail

    - #### set

          public void set(java.lang.String s)

    - #### get

          public boolean get(java.lang.String s)